
import React from 'react';
import Icon from 'react-icon-base';

const SlBubble = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M512 832c247.024 0 448 -143.553 448 -320.001c0 -176.432 -200.976 -320 -448 -320l-26.5117 -0.0957031c-17.584 0 -29.0879 0.463867 -47.0723 3.15234l-35.8564 5.12012l-23.0078 -27.8398c-10.5762 -12.7842 -64.5439 -57.1201 -124.112 -85.6641 c12.1123 32.0322 21.04 67.0078 21.8398 101.6l0.320312 1.9043v44.624l-34.8643 17.8076c-113.6 58.1123 -178.735 152.641 -178.735 259.393c0 176.448 200.976 320 448 320zM512 895.999c-282.8 0 -512 -171.935 -512 -383.999 c0 -132.064 78.2559 -247.152 213.584 -316.336c0 -0.816406 -0.255859 -1.4082 -0.255859 -2.32031c0 -57.376 -32.1602 -120.464 -51.0078 -152.944h0.0478516c-1.48828 -3.48828 -2.36816 -7.3125 -2.36816 -11.4082c0 -16.0801 12.96 -28.9922 29.0078 -28.9922 c2.41602 0 6.25586 0.496094 7.66406 0.496094c0.335938 0 0.52832 0 0.496094 -0.0957031c100 16.3359 209.952 104.688 231.824 131.344c22.4805 -3.34375 37.6641 -3.83984 56.4805 -3.83984c7.93555 0 16.4951 0.0957031 26.5273 0.0957031 c282.752 0 512 171.904 512 384c0 212.064 -229.248 384 -512 383.999z"/></g>
    </Icon>
);

export default SlBubble;
